Dispute Conversations
curl --request GET \
--url https://nini.monieswitch.com/dispute/conversation \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/dispute/conversation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/dispute/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"size": 20,
"page": 1,
"totalRecords": 1,
"totalPages": 1,
"conversation": [
{
"id": "f9e287f0-36f2-470c-97f4-1aad1c3eb03f",
"userId": "272fed9d-2d53-4892-8508-56582941d8d3",
"disputeId": "ad33c553-ba18-47c2-9fba-62915d8d8c30",
"subject": "Testing",
"message": "How does this works?",
"attachments": [],
"createdAt": "2025-04-14T08:27:16.078Z",
"updatedAt": "2025-04-14T08:27:16.078Z",
"deletedAt": null,
"user": {
"id": "272fed9d-2d53-4892-8508-56582941d8d3",
"role": "MERCHANT",
"firstName": "Kimpembe"
}
}
]
}
}Dispute
Dispute Conversations
GET
/
dispute
/
conversation
Dispute Conversations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I